<?php declare(strict_types=1);

namespace Newland\Toubiz\Sync\Neos\Tests\Unit\Importer\Mock;

use Newland\Toubiz\Api\ObjectAdapter\UriAdapterInterface;

class UriAdapterMock implements UriAdapterInterface
{

    public $attributes = [];

    public function __construct(array $attributes)
    {
        $this->attributes = $attributes;
    }

    public function getExternalId(): string
    {
        return $this->attributes['externalId'];
    }

    public function getLabel(): ?string
    {
        return $this->attributes['label'] ?? null;
    }

    public function getUri(): string
    {
        return $this->attributes['uri'];
    }
}
